Function
countOccurrences
Returns the number of occurrences of representative substring or a q-gram in the index text.
..cat:Index
countOccurrences(index, shape)
countOccurrences(iterator)
Include Headers
seqan/index.h
Parameters

index | A q-gram index. Types: IndexQGram
shape | A shape object. Note: The shape stores the q-gram of the last call to hash or hashNext. Types: Shape
iterator | An iterator of a suffix tree. Types: VSTree Iterator

Return Values
The number of positions where the q-gram stored in shape occurs in the text (see QGramText). If the type of index is TIndex the return type is Size<TIndex>::Type.
The number of positions where the representative of iterator occurs in the text (see EsaText). If iterator's container type is TIndex the return type is Size<TIndex>::Type.
Member of
IndexQGram, VSTree Iterator
Example Programs
Supermaximal Repeats, Constraint Iterator, Index countChildren
See Also
countOccurrencesMultiple
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:58